Page MenuHomePhabricator

CU 2.0: Add variant display to the Timeline result list
Closed, ResolvedPublic2 Estimated Story PointsJun 2 2020

Description

As a step towards implementing the mockup detailed at the parent task T237595, this task concentrates on adjusting the displayed results to provide for different result variants.

Acceptance criteria

Adjust the display of the list of results per entry type. From the parent task, the acceptance criteria is as follows:

For an edit

(diff)(hist) .. Page-edited .. Timestamp .. Username (talk|contribs) .. IP address .. User-agent .. (Edit summary)
  • If the record is for an unregistered editor, the Username does not exist and will be skipped. The (talk|contribs) link will then live next to the IP address.
  • diff and hist lead to the edit diff and page history for the page edited.
  • talk and contribs lead to the user's talk and contributions page.
  • All the above links open in new tabs.

For a new page creation

N .. Page name  .. Timestamp .. Username (talk|contribs) .. IP .. User-agent .. (Edit summary)
  • The N in front of the log entry indicates a new page creation. You can see it in action on recent changes.

For a log entry

(Log) .. Timestamp .. Username (talk|contribs) <action> reset password for user "Testzzz7788"  .. IP .. User-agent
(Log) .. Timestamp .. Username (talk|contribs) <action> was created .. IP .. User-agent
  • The "Log" in front of the log entry will link to the specific log entry on Special:Log. The link opens in a new tab.

Related Objects

Event Timeline

Niharika triaged this task as Medium priority.Mar 13 2020, 10:21 PM
Niharika moved this task from Untriaged to Cards ready to be discussed on the Anti-Harassment board.
Niharika updated the task description. (Show Details)
ARamirez_WMF renamed this task from CU 2.0: Add variant display to the Timeline result list to CU 2.0: Add variant display to the Timeline result list [medium].Mar 18 2020, 4:45 PM
ARamirez_WMF set the point value for this task to 2.
Niharika changed the subtype of this task from "Task" to "Deadline".Mar 25 2020, 10:20 PM
Niharika set Due Date to Apr 1 2020, 7:00 AM.
ARamirez_WMF changed Due Date from Apr 1 2020, 7:00 AM to Apr 17 2020, 7:00 AM.Apr 16 2020, 2:37 AM

Change 592757 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/extensions/CheckUser@master] Adds data with basic formatting to the timeline tab

https://gerrit.wikimedia.org/r/592757

ARamirez_WMF renamed this task from CU 2.0: Add variant display to the Timeline result list [medium] to CU 2.0: Add variant display to the Timeline result list .Apr 29 2020, 4:39 PM
ARamirez_WMF changed Due Date from Apr 17 2020, 7:00 AM to May 5 2020, 7:00 AM.May 5 2020, 3:47 PM

@dmaza @Niharika Some of the issues below might already be raised as separate tickets.

I am including the acceptance criteria from T247640, just so it is in one place:

  • Display the list of timeline results (contributions by the users/ips under investigation) in a list, ordered by date and divided by groups of days.

We don't appear to divide by date at the moment.

Entries only show the time, not the date.

(diff)(hist) .. Page-edited .. Timestamp .. Username (talk|contribs) .. IP address .. User-agent .. (Edit summary)

At the moment, I don't think we show the edit summary of an edit/new page (someone double check this for me).

  • If the record is for an unregistered editor, the Username does not exist and will be skipped. The (talk|contribs) link will then live next to the IP address.

Currently, for unregistered edits, the IP is shown in the place of the username.

Also, unregistered edits don't show the "contrib" link, if that matters.

  • All the above links open in new tabs.

At the moment, links open in the same tab.

(Log) .. Timestamp .. Username (talk|contribs) <action> reset password for user "Testzzz7788" .. IP .. User-agent

We have "Logs" rather than "Log" (in English interface language at least). Not sure if this matters.

  • The "Log" in front of the log entry will link to the specific log entry on Special:Log.

Links to Special:Log, but not the specific entry. I don't know if that is possible.

@dom_walden Apologies, I shouldn't have moved this task forward. The task can't be resolved until the subtasks are resolved. I was confused about this last week. Sorry for propagating my confusion! :)

ARamirez_WMF changed Due Date from May 5 2020, 7:00 AM to Jun 2 2020, 7:00 AM.May 21 2020, 3:16 AM

@dom_walden Apologies, I shouldn't have moved this task forward. The task can't be resolved until the subtasks are resolved. I was confused about this last week. Sorry for propagating my confusion! :)

OK, I guess I will leave this here for now, but I don't have anymore testing work I want to do with it at the moment (that I can think of...)

@dmaza @Niharika Some of the issues below might already be raised as separate tickets.

I am including the acceptance criteria from T247640, just so it is in one place:

  • Display the list of timeline results (contributions by the users/ips under investigation) in a list, ordered by date and divided by groups of days.

We don't appear to divide by date at the moment.

I think we divide entries by date now. Can you double check this, @dom_walden?

Entries only show the time, not the date.

This is fine as long as we group by date.

(diff)(hist) .. Page-edited .. Timestamp .. Username (talk|contribs) .. IP address .. User-agent .. (Edit summary)

At the moment, I don't think we show the edit summary of an edit/new page (someone double check this for me).

@dmaza/@dbarratt Can you check on this?

  • If the record is for an unregistered editor, the Username does not exist and will be skipped. The (talk|contribs) link will then live next to the IP address.

Currently, for unregistered edits, the IP is shown in the place of the username.

Sounds fine.

Also, unregistered edits don't show the "contrib" link, if that matters.

Hmm, users may want that in the case when the IP has a contribution history but we'll wait to hear about that from the community.

  • All the above links open in new tabs.

At the moment, links open in the same tab.

@dmaza We should fix this. We don't want the CUs to lose their ongoing investigation because of a misclick.

(Log) .. Timestamp .. Username (talk|contribs) <action> reset password for user "Testzzz7788" .. IP .. User-agent

We have "Logs" rather than "Log" (in English interface language at least). Not sure if this matters.

Sounds fine.

  • The "Log" in front of the log entry will link to the specific log entry on Special:Log.

Links to Special:Log, but not the specific entry. I don't know if that is possible.

@dmaza Is this fixable?

Moving this ticket back to In Progress.

We don't appear to divide by date at the moment.

I think we divide entries by date now. Can you double check this, @dom_walden?

This has been added - T252089#6136318.

At the moment, I don't think we show the edit summary of an edit/new page (someone double check this for me).

@dmaza/@dbarratt Can you check on this?

This was added in T252030.

Also, unregistered edits don't show the "contrib" link, if that matters.

Hmm, users may want that in the case when the IP has a contribution history but we'll wait to hear about that from the community.

The link on the IP address links to the IP's contribs page. It's a bit inconsistent with the user links, but it is consistent with elsewhere on the wiki, e.g. article history pages, Special:BlockList, Special:Log, etc. The convention is:

  • Username (talk|contribs|block)
  • IP (talk|block) <--- "IP" links to the IP's contributions page

(The convention is codified in the Linker class: Username/IP links are made by Linker::userLink, and the links in parentheses are made by Linker::userToolLinks.)

At the moment, links open in the same tab.

We should fix this. We don't want the CUs to lose their ongoing investigation because of a misclick.

@Niharika Should we also do this for the links on the Preliminary Check and Compare tabs?

Note that the investigation won't be lost if the user clicks away - unlike with Special:CheckUser, they can navigate back to it.

The "Log" in front of the log entry will link to the specific log entry on Special:Log.

Links to Special:Log, but not the specific entry. I don't know if that is possible.

Is this fixable?

Some log links add a filter, e.g. a row about a block links to Special:Log with a filter for the block target's user page. It's difficult to get more specific since we don't store specific information about the log entry in the cu_changes table.

There's a task relating to this: T253796

Change 601763 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/CheckUser@master] Open all Special:Investigate Timeline links in a new browser tab

https://gerrit.wikimedia.org/r/601763

At the moment, links open in the same tab.

We should fix this. We don't want the CUs to lose their ongoing investigation because of a misclick.

@Niharika Should we also do this for the links on the Preliminary Check and Compare tabs?

Note that the investigation won't be lost if the user clicks away - unlike with Special:CheckUser, they can navigate back to it.

As a rule, I don't think we should do this, it removes control from the user:
https://www.smashingmagazine.com/2008/07/should-links-open-in-new-windows/
and
https://ux.stackexchange.com/a/13734

Thanks @Tchanders and @dbarratt. I discussed this with @Prtksxna and the consensus was to not open links in new tab. Thanks for clarifying about the investigation still being available to go back to.

And thanks for responding to all my questions, Thalia! I think this task is ready to be moved to QA. We should abandon https://gerrit.wikimedia.org/r/601763

Change 601763 abandoned by Tchanders:
Open all Special:Investigate Timeline links in a new browser tab

Reason:
Decided against doing this - https://phabricator.wikimedia.org/T247641#6186739

https://gerrit.wikimedia.org/r/601763

All the issues raised in T247641#6126157 have been fixed elsewhere, addressed in this ticket or raised as separate tickets, there isn't anything more for me to do.

Niharika mentioned this in Unknown Object (Task).Oct 9 2020, 2:37 AM